Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.jaxp
Class TypedContentHandler

    java.lang.Object
      net.sf.saxon.event.ContentHandlerProxy
          com.saxonica.jaxp.TypedContentHandler

All Implemented Interfaces:
  Result, Receiver

    public class TypedContentHandler

extends ContentHandlerProxy

This class is an extension of ContentHandlerProxy that provides access to type information, using the DOM Level 3 TypeInfo interfaces. The ContentHandlerProxy also acts as a TypeInfoProvider, providing information about the type of the current element or attribute.

Nested Class Summary
`class` | `TypedContentHandler.TypeInfoProviderImpl`

Nested classes/interfaces inherited from class net.sf.saxon.event.ContentHandlerProxy
`ContentHandlerProxy.ContentHandlerProxyTraceListener`

Field Summary

Fields inherited from class net.sf.saxon.event.ContentHandlerProxy
`handler, lexicalHandler, pendingAttributes`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TypedContentHandler()`

Method Summary
`TypeInfoProvider` | `getTypeInfoProvider()` Get a TypeInfoProvider to provide type information for the current element or attribute event.
`void` | `startElement(NodeName nameCode, SchemaType typeCode, int locationId, int properties)` Notify the start of an element
`boolean` | `usesTypeAnnotations()` Ask whether this Receiver (or the downstream pipeline) makes any use of the type annotations supplied on element and attribute events

Methods inherited from class net.sf.saxon.event.ContentHandlerProxy
`attribute, characters, close, comment, endDocument, endElement, getConfiguration, getCurrentLocationId, getLocationProvider, getPipelineConfiguration, getSystemId, getTraceListener, getUnderlyingContentHandler, isRequireWellFormed, isUndeclareNamespaces, namespace, notifyNotWellFormed, open, processingInstruction, setLexicalHandler, setOutputProperties, setPipelineConfiguration, setRequireWellFormed, setSystemId, setUndeclareNamespaces, setUnderlyingContentHandler, setUnparsedEntity, startContent, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedContentHandler

    public TypedContentHandler()

Method Detail

### getTypeInfoProvider

    public TypeInfoProvider getTypeInfoProvider()

  Get a TypeInfoProvider to provide type information for the current element or attribute event.

### usesTypeAnnotations

    public boolean usesTypeAnnotations()

  Ask whether this Receiver (or the downstream pipeline) makes any use of the type annotations supplied on element and attribute events

  Specified by:
    `usesTypeAnnotations` in interface `Receiver`
  Overrides:
    `usesTypeAnnotations` in class `ContentHandlerProxy`
  Returns:
    true if the Receiver makes any use of this information. If false, the caller may supply untyped nodes instead of supplying the type annotation

### startElement

    public void startElement(NodeName nameCode,
                             SchemaType typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Notify the start of an element

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `ContentHandlerProxy`
  Parameters:
    `nameCode` - the name of the element.
    `typeCode` - the type annotation of the element.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - bit-significant properties of the element node. If there are no revelant properties, zero is supplied. The definitions of the bits are in class `ReceiverOptions`
  Throws:
    `XPathException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.